/*
 * bpd.js
 *
 * Copyright Lombardi Software 2006
 */
var com;
if( com == null ) {
com = new Object();
}
if( com.lombardi == null ) {
com.lombardi = new Object();
}
com.lombardi.BPD = function(id) {
this._id = id;
};
com.lombardi.BPD._DEFAULT_FLASH_DIAGRAM_URL = "preloader.swf";
com.lombardi.BPD._MINIMUM_FLASH_VERSION = [ 8, 0, 22 ];
com.lombardi.BPD.prototype.getId = function() {
return this._id;
};
com.lombardi.BPD.prototype.isInitialized = function() {
return this._movie != null;
};
com.lombardi.BPD.prototype.onInitialize = function() {
};
com.lombardi.BPD.prototype.onLoadBPD = function(url, success, id) {
};
com.lombardi.BPD.prototype.onMouseOver = function(bpdId, x, y) {
};
com.lombardi.BPD.prototype.onMouseClicked = function(bpdId, x, y) {
};
com.lombardi.BPD.prototype.onMouseOut = function(bpdId, x, y) {
};
com.lombardi.BPD.prototype.onMouseModeChanged = function(mode) {
};
com.lombardi.BPD.prototype.onViewPortChanged = function(scrollPaneRect, x, y, scale) {
};
com.lombardi.BPD.prototype.onContextMenu = function(bpdId) {
return null;
};
com.lombardi.BPD.prototype.onFlashInitialized = function() {
if (!this.isInitialized()) {
this._movie = com.lombardi.BPD._getMovie(com.lombardi.BPD._convertId(this._id));
this.onInitialize();
}
};
com.lombardi.BPD.prototype.loadBPD = function(url) {
if (!this.isInitialized()) {
throw new Error("loadBPD: Flash, " + this.getId() + ", has not initialized");
}
this._movie.loadBPD(url);
};
com.lombardi.BPD.prototype.getCurrentBPD = function() {
if (!this.isInitialized()) {
throw new Error("getCurrentBPD: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getCurrentBPD();
};
com.lombardi.BPD.prototype.setCurrentBPD = function(urlOrId, transitionName, x, y, scale) {
if (!this.isInitialized()) {
throw new Error("setCurrentBPD: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.setCurrentBPD(urlOrId, com.lombardi.BPD._convertTextForFlash(transitionName), x, y, scale);
};
com.lombardi.BPD.prototype.getSkinTransitionNames = function() {
if (!this.isInitialized()) {
throw new Error("getSkinTransitionNames: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getSkinTransitionNames();
};
com.lombardi.BPD.prototype.getCurrentSkin = function() {
if (!this.isInitialized()) {
throw new Error("getCurrentSkin: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getCurrentSkin();
};
com.lombardi.BPD.prototype.setCurrentSkin = function(id) {
if (!this.isInitialized()) {
throw new Error("setCurrentSkin: Flash, " + this.getId() + ", has not initialized");
}
this._movie.setCurrentSkin(com.lombardi.BPD._convertTextForFlash(id));
};
com.lombardi.BPD.prototype.getSkinIds = function() {
if (!this.isInitialized()) {
throw new Error("getSkinIds: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getSkinIds();
};
com.lombardi.BPD.prototype.getIds = function() {
if (!this.isInitialized()) {
throw new Error("getIds: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getIds();
};
com.lombardi.BPD.prototype.getInfo = function(bpdId) {
if (!this.isInitialized()) {
throw new Error("getInfo: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getInfo(bpdId);
};
com.lombardi.BPD.prototype.setHaloColor = function(bpdId, color) {
if (!this.isInitialized()) {
throw new Error("setHaloColor: Flash, " + this.getId() + ", has not initialized");
}
this._movie.setHaloColor(bpdId, color);
};
com.lombardi.BPD.prototype.setHaloText = function(bpdId, text) {
if (!this.isInitialized()) {
throw new Error("setHaloText: Flash, " + this.getId() + ", has not initialized");
}
this._movie.setHaloText(bpdId, com.lombardi.BPD._convertTextForFlash(text));
};
com.lombardi.BPD.prototype.setSelected = function(bpdId, selected) {
if (!this.isInitialized()) {
throw new Error("setSelected: Flash, " + this.getId() + ", has not initialized");
}
this._movie.setSelected(bpdId, selected);
};
com.lombardi.BPD.prototype.isToolbarVisible = function() {
if (!this.isInitialized()) {
throw new Error("isToolbarVisisble: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.isToolbarVisible();
};
com.lombardi.BPD.prototype.setToolbarVisible = function(visible) {
if (!this.isInitialized()) {
throw new Error("setToolbarVisible: Flash, " + this.getId() + ", has not initialized");
}
this._movie.setToolbarVisible(visible == true);
};
com.lombardi.BPD.prototype.getViewPort = function() {
if (!this.isInitialized()) {
throw new Error("getViewPort: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getViewPort();
};
com.lombardi.BPD.prototype.setViewPort = function(x, y, scale) {
if (!this.isInitialized()) {
throw new Error("setViewPort: Flash, " + this.getId() + ", has not initialized");
}
this._movie.setViewPort(x, y, scale);
};
com.lombardi.BPD.prototype.getMouseMode = function() {
if (!this.isInitialized()) {
throw new Error("getMouseMode: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.getMouseMode();
};
com.lombardi.BPD.prototype.setMouseMode = function(mode) {
if (!this.isInitialized()) {
throw new Error("setMouseMode: Flash, " + this.getId() + ", has not initialized");
}
this._movie.setMouseMode(com.lombardi.BPD._convertTextForFlash(mode));
};
com.lombardi.BPD.prototype._currentContextMenu = null;
com.lombardi.BPD.prototype.onContextMenuRequest = function(bpdId) {
var menu = this.onContextMenu(bpdId);
if (menu == null) {
this._currentContextMenu = null;
} else if (menu instanceof Array) {
this._currentContextMenu = new Array();
for (var i = 0; i < menu.length; ++i) {
var item;
if (menu[ i ] == null) {
item = null;
} else if (menu[ i ] instanceof Array) {
item = {
caption : menu[ i ][ 0 ],
enabled : menu[ i ][ 1 ] != null,
onSelect : menu[ i ][ 1 ]
};
} else {
item = {
caption : menu[ i ].caption,
enabled : menu[ i ].enabled,
onSelect : menu[ i ].onSelect
};
}
this._currentContextMenu.push(item);
}
} else {
this._currentContextMenu = new Array();
for (var i in menu) {
var item = {
caption : i,
enabled : menu[ i ] != null,
onSelect : menu[ i ]
};
this._currentContextMenu.push(item);
}
}
return this._currentContextMenu;
};
com.lombardi.BPD.prototype.onContextMenuSelect = function(i, bpdId, x, y) {
var item = this._currentContextMenu[ i ];
item.onSelect(bpdId, x, y);
};
com.lombardi.BPD.prototype.print = function(area, scale, halign, valign, info) {
if (!this.isInitialized()) {
throw new Error("print: Flash, " + this.getId() + ", has not initialized");
}
return this._movie.print(area, scale, halign, valign, info);
};
com.lombardi.BPD.prototype.toString = function() {
return "BPD[" + this._id + "]";
};
com.lombardi.BPD._isIE = navigator.appName.indexOf( "Microsoft" ) != -1;
com.lombardi.BPD._bpds = new Object();
com.lombardi.BPD.getBPD = function(id) {
convertedId = com.lombardi.BPD._convertId(id);
var bpd = com.lombardi.BPD._bpds[ convertedId ];
if (bpd == null) {
bpd = new com.lombardi.BPD(id);
com.lombardi.BPD._bpds[ convertedId ] = bpd;
}
return bpd;
};
com.lombardi.BPD.setBPD = function(id, bpd) {
com.lombardi.BPD._bpds[ com.lombardi.BPD._convertId(id) ] = bpd;
};
com.lombardi.BPD._getMovie = function(id) {
var movies = com.lombardi.BPD._isIE ? window : document;
return movies[ id ];
};
com.lombardi.BPD._addWindowOnloadHandler = function(f) {
if (typeof window.addEventListener != "undefined") {
window.addEventListener("load", f, false);
} else if (typeof window.attachEvent != "undefined") {
window.attachEvent("onload", f);
} else {
if (window.onload != null) {
var oldOnload = window.onload;
window.onload = function(e) {
oldOnload(e);
window[ f ]();
};
} else {
window.onload = f;
}
}
};
com.lombardi.BPD._flash = function(
id,
src,
base,
version,
swLiveConnect,
allowScriptAccess,
width,
height,
align,
wmode,
quality,
bgcolor,
flashVars
) {
function Element(tag) {
this._tag = tag;
this._attrs = {};
this._children = [
];
}
Element.prototype.setAttribute = function(name, value) {
this._attrs[ name ] = value;
};
Element.prototype.appendChild = function(child) {
this._children.push(child);
};
Element.prototype.outerHTML = function() {
var html = "<" + this._tag;
for (var n in this._attrs) {
html += " " + n + '=\"' + this._attrs[ n ] + '\"';
}
html += ">";
for (var i = 0; i < this._children.length; ++i) {
html += this._children[ i ].outerHTML();
}
html += "</" + this._tag + ">";
return html;
};
function createElement(tag) {
return com.lombardi.BPD._isIE ? new Element(tag) : document.createElement(tag);
}
function addParameter(name, value, object) {
if (object != null) {
var param = createElement("param");
param.setAttribute("name", name);
param.setAttribute("value", value);
object.appendChild(param);
}
}
var flashVarsValue = "";
for (var i in flashVars) {
var value = flashVars[ i ];
if (value != null) {
if (flashVarsValue.length != 0) flashVarsValue += "&";
flashVarsValue += i + "=" + value;
}
}
var object = createElement("object");
if (id != null) object.setAttribute("id", id);
addParameter("movie", src, object);
addParameter("base", base, object);
object.setAttribute("classid", "clsid:d27cdb6e-ae6d-11cf-96b8-444553540000");
object.setAttribute("codebase",
"http://download.macromedia.com/pub/shockwave/cabs/flash/swflash.cab#version=" + version);
addParameter("swLiveConnect", swLiveConnect, object);
addParameter("allowScriptAccess", allowScriptAccess, object);
object.setAttribute("width", width);
object.setAttribute("height", height);
object.setAttribute("align", align);
addParameter("wmode", wmode, object);
addParameter("quality", quality, object);
addParameter("bgcolor", bgcolor, object);
addParameter("flashVars", flashVarsValue, object);
var embed = createElement("embed");
if (id != null) embed.setAttribute("name", id);
embed.setAttribute("src", src);
embed.setAttribute("base", base);
embed.setAttribute("type", "application/x-shockwave-flash");
embed.setAttribute("pluginspage", "http://www.macromedia.com/go/getflashplayer");
embed.setAttribute("swLiveConnect", swLiveConnect);
embed.setAttribute("allowScriptAccess", allowScriptAccess);
embed.setAttribute("width", width);
embed.setAttribute("height", height);
embed.setAttribute("align", align);
embed.setAttribute("wmode", wmode);
embed.setAttribute("quality", quality);
embed.setAttribute("bgcolor", bgcolor);
embed.setAttribute("FlashVars", flashVarsValue);
object.appendChild(embed);
return object;
};
com.lombardi.BPD.replaceTags = function() {
function getAttribute(node, attr, def) {
var value = node.getAttribute(attr);
return value == null ? def : value;
}
function replaceNodeWithFlash(node, flash) {
if (com.lombardi.BPD._isIE) node.outerHTML = flash.outerHTML();
else node.parentNode.replaceChild(flash, node);
}
for (
var bpds = document.getElementsByTagName("bpd");
bpds.length > 0;
bpds = document.getElementsByTagName("bpd")
) {
var bpd = bpds.item(0);
var id = getAttribute(bpd, "id", "");
var convertedId = com.lombardi.BPD._convertId(id);
if (com.lombardi.BPD._bpds[ convertedId ] == null) {
com.lombardi.BPD._bpds[ convertedId ] = new com.lombardi.BPD(id);
}
var flash = com.lombardi.BPD._flash(
convertedId,
getAttribute(bpd, "flash-url", com.lombardi.BPD._DEFAULT_FLASH_DIAGRAM_URL),
getAttribute(bpd, "base", com.lombardi.BPD._getDefaultBase()),
"8,0,0,0",
"true",
"sameDomain",
getAttribute(bpd, "width", "100%"),
getAttribute(bpd, "height", "100%"),
getAttribute(bpd, "align", "middle"),
getAttribute(bpd, "wmode", "opaque"),
getAttribute(bpd, "quality", "high"),
getAttribute(bpd, "bgcolor", "#ffFFff"),
{
SKIN : getAttribute(bpd, "skin"),
BPD_URL : getAttribute(bpd, "bpd-url"),
SHOW_TOOLBAR : getAttribute(bpd, "show-toolbar"),
DHTML_PREFIX : "com.lombardi.BPD._bpds['" + convertedId + "'].",
LANG : getAttribute(bpd, "lang", "")
}
);
replaceNodeWithFlash(bpd, flash);
}
};
try { if( LOMBARDI_BPD_ONLOAD != false ) throw "doOnLoad"; }
catch( e ) { com.lombardi.BPD._addWindowOnloadHandler( com.lombardi.BPD.replaceTags ); }
com.lombardi.BPD.prototype._id = null;
com.lombardi.BPD._idPrefix = "__lombardi_flash_bpd_";
com.lombardi.BPD._convertId = function(id) {
if (id == null) id = "";
return com.lombardi.BPD._idPrefix + id;
};
com.lombardi.BPD._getDefaultBase = function() {
var path = window.location.pathname;
var lastSlash = Math.max(path.lastIndexOf("/"), path.lastIndexOf("\\"));
if (lastSlash != -1) {
path = path.substring(0, lastSlash);
}
var base =
window.location.protocol + "//" +
window.location.host +
path + "/";
return base;
};
com.lombardi.BPD._convertTextForFlash = function(text) {
if (text == null) return null;
var allSpaces = true;
for (var i = 0; i < text.length; ++i) {
if (text.charAt(i) != ' ') {
allSpaces = false;
break;
}
}
return allSpaces ? null : text;
};
com.lombardi.BPD.getFlashVersion = function() {
var isIE = ( navigator.appVersion.indexOf("MSIE") != -1 );
var isWin = ( navigator.appVersion.toLowerCase().indexOf("win") != -1 );
var isOpera = ( navigator.userAgent.indexOf("Opera") != -1 );
var jsVersion = 1.1;
function JSGetSwfVer(i) {
var flashVer;
if (navigator.plugins != null && navigator.plugins.length > 0) {
if (navigator.plugins[ "Shockwave Flash 2.0" ] || navigator.plugins[ "Shockwave Flash" ]) {
var swVer2 = navigator.plugins[ "Shockwave Flash 2.0" ] ? " 2.0" : "";
var flashDescription = navigator.plugins[ "Shockwave Flash" + swVer2 ].description;
var descArray = flashDescription.split(" ");
var tempArrayMajor = descArray[ 2 ].split(".");
var versionMajor = tempArrayMajor[ 0 ];
var versionMinor = tempArrayMajor[ 1 ];
if (descArray[ 3 ] != "") {
var tempArrayMinor = descArray[ 3 ].split("r");
} else {
tempArrayMinor = descArray[ 4 ].split("r");
}
var versionRevision = tempArrayMinor[ 1 ] > 0 ? tempArrayMinor[ 1 ] : 0;
flashVer = versionMajor + "." + versionMinor + "." + versionRevision;
} else {
flashVer = -1;
}
}
else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.6") != -1) flashVer = 4;
else if (navigator.userAgent.toLowerCase().indexOf("webtv/2.5") != -1) flashVer = 3;
else if (navigator.userAgent.toLowerCase().indexOf("webtv") != -1) flashVer = 2;
else flashVer = -1;
return flashVer;
}
for (i = 25; i > 0; i--) {
var versionStr = isIE && isWin && !isOpera ? VBGetSwfVer(i) : JSGetSwfVer(i);
if (versionStr == -1) return null;
else if (versionStr != 0) {
var versionArray;
if (isIE && isWin && !isOpera) {
var tempArray = versionStr.split(" ");
var tempString = tempArray[ 1 ];
versionArray = tempString.split(",");
} else {
versionArray = versionStr.split(".");
}
var versionMajor = parseInt(versionArray[ 0 ]);
var versionMinor = parseInt(versionArray[ 1 ]);
var versionRevision = parseInt(versionArray[ 2 ]);
return [ versionMajor, versionMinor, versionRevision
];
}
}
return null;
};
com.lombardi.BPD.detectFlashVersion = function(requiredMajorVersion, requiredMinorVersion, requiredRevision) {
var version = com.lombardi.BPD.getFlashVersion();
if (version == null) return false;
var required = arguments.length != 0 ? arguments : com.lombardi.BPD._MINIMUM_FLASH_VERSION;
for (var i = 0; i < required.length; ++i) {
if (required[ i ] < version[ i ]) return true;
if (required[ i ] > version[ i ]) return false;
}
return true;
};
if(( navigator.userAgent.indexOf( "MSIE" ) != -1 ) && ( navigator.userAgent.indexOf( "Win" ) != -1 )) {
document.writeln( "<script language='VBscript' type='text/vbscript'>");
document.writeln( "Function VBGetSwfVer( i )" );
document.writeln( "  on error resume next" );
document.writeln( "  Dim swControl, swVersion" );
document.writeln( "  swVersion = 0" );
document.writeln( "  set swControl = CreateObject( \"ShockwaveFlash.ShockwaveFlash.\" + CStr( i ))" );
document.writeln( "  if( IsObject( swControl )) then" );
document.writeln( "    swVersion = swControl.GetVariable( \"$version\" )" );
document.writeln( "  end if" );
document.writeln( "  VBGetSwfVer = swVersion" );
document.writeln( "End Function" );
document.writeln( "</script>" );
}
